Package uk.ac.starlink.topcat.vizier

# Interface Queryable

All Known Implementing Classes:
  `VizierCatalog`

public interface Queryable
Defines a Vizier catalogue which may be searched or downloaded.

Since:
  19 Oct 2009
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getQueryId()`
Returns a short name suitable for presentation to the user to represent the name of the catalogue.
`String`
`getQuerySource()`
Returns the source name of the catalogue, as presented to the VizieR server's `-source` parameter.

## Method Details

### getQuerySource

String getQuerySource()
Returns the source name of the catalogue, as presented to the VizieR server's `-source` parameter.

Returns:
  source string

### getQueryId

String getQueryId()
Returns a short name suitable for presentation to the user to represent the name of the catalogue.

Returns:
  identifier string